@import '~base-scss/base';

.export {
    @extend %main-content;
    display: flex;
    flex-direction: column;

    .header {
        flex-shrink: 0;
    }

    .main-content {
        display: flex;
        flex-grow: 1;
        background-color: $color-foreground;

        .filters {
            display: flex;
            flex-basis: 50%;
            flex-direction: column;
            background-color: $color-background-row;

            :global {
                .entries-filters {
                    display: flex;
                    align-items: flex-end;
                    flex-shrink: 0;
                    flex-wrap: wrap;
                    border-bottom: $width-separator-thin solid $color-separator;
                    background-color: $color-foreground;
                    padding: $spacing-small;

                    .entries-filter,
                    .select-input {
                        margin: $spacing-small;

                        &.flat-select-input {
                            margin: 0;
                        }
                    }

                    .range-filter {
                        display: flex;
                        justify-content: space-between;
                        margin: 0;

                        .single-select-input {
                            margin: $spacing-small;
                        }
                    }

                    >.button {
                        flex-shrink: 0;
                        margin: $spacing-small;
                    }
                }
            }

            .heading {
                border-bottom: $width-separator-thin solid $color-separator;
                background-color: $color-background-header;
                padding: $spacing-small;
            }

            .lead-filters {
                display: flex;
                flex-direction: column;
                height: 100%;

                .lead-attributes {
                    :global {
                        .leads-filters {
                            display: flex;
                            align-items: flex-end;
                            flex-shrink: 0;
                            flex-wrap: wrap;
                            // border-bottom: $width-separator-thin solid $color-separator;
                            background-color: $color-foreground;
                            padding: $spacing-small;


                            .leads-filter {
                                margin: $spacing-small;
                            }

                            .button {
                                align-self: flex-end;
                                flex-shrink: 0;
                                margin: $spacing-small;
                            }
                        }
                    }
                }

                .leads {
                    position: relative;
                    flex-grow: 1;
                    overflow-y: auto;

                    .leads-table {
                        :global {
                            .select {
                                width: 64px;
                            }
                        }
                    }
                }
            }
        }

        .preview {
            display: flex;
            align-items: center;
            flex-basis: 30%;
            justify-content: center;
            border-left: $width-separator-thin solid $color-separator;
            background-color: $color-foreground-alt;
            text-align: center;
            color: $color-text-disabled;
            font-size: $font-size-large;
        }
    }
}
